org.apache.solr.client.solrj.cloud.autoscaling

## Class VariableBase.TotalDiskVariable

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.VariableBase
  - - org.apache.solr.client.solrj.cloud.autoscaling.VariableBase.TotalDiskVariable

All Implemented Interfaces:
  Variable

Enclosing class:
  VariableBase

    public static class VariableBase.TotalDiskVariable
    extends VariableBase

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.cloud.autoscaling.VariableBase

`VariableBase.CoreIndexSizeVariable, VariableBase.DiskTypeVariable, VariableBase.LazyVariable, VariableBase.TotalDiskVariable`

### Nested classes/interfaces inherited from interface org.apache.solr.client.solrj.cloud.autoscaling.Variable

`Variable.Meta, Variable.Type`

### Field Summary

### Fields inherited from interface org.apache.solr.client.solrj.cloud.autoscaling.Variable

`coreidxsize, NULL`

### Constructor Summary

Constructors
Constructor and Description
`TotalDiskVariable(Variable.Type type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `convertVal(Object val)`

### Methods inherited from class org.apache.solr.client.solrj.cloud.autoscaling.VariableBase

`compareViolation, getSuggestions, getTagType, postValidate, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.cloud.autoscaling.Variable

`addViolatingReplicas, computeDeviation, computeValue, getOperand, match, projectAddReplica, projectRemoveReplica`

### Constructor Detail

#### TotalDiskVariable

    public TotalDiskVariable(Variable.Type type)

### Method Detail

#### convertVal

    public Object convertVal(Object val)